#include "stm32f30x.h"

// LEDs are controlled by Port E Pin8-15 output

int main(void)
{
    volatile unsigned int x=0;
    RCC ->AHBENR |= 0x200000;   //Enable CLK for Port E
    GPIOE -> MODER |= 0x55550000; //Enable Port E Pin8-15 as a digital output
    while(1) {
        GPIOE ->ODR |= 0xff00; //Turn GPIOC Pin8-15 On
        for (x=0; x<1000000; x++);
        GPIOE ->ODR &= ~0xff00; //Turn GPIOC Pin8-15 Off
        for (x=0; x<1000000; x++);
    }
}
